## ŒUNMIX Remove mixins from object

Implemented for Internal classes only.

Syntax:

binary_vec „ objref.ŒUNMIX mixin_refs
binary_vec „ ŒUNMIX mixin_refs (Within user-defined method, same as ŒTHIS.ŒUNMIX)

The System Method ŒUNMIX can be used to remove one or more mixins from an object. It takes a right argument which is a scalar or vector list of mixin-references to delete, and returns a binary vector with 1 for each mixin removed, and 0 if the mixin reference could not be found:

          inv.Œmixins
    [Fax] [java:Date]
          inv.Œunmix inv.Œmixins
    1 1
          inv.Œmixins

Note that you don't normally need to delete mixins explicitly; they will be deleted automatically when the object which owns them is deleted.

See the section on Mixins for more information.

Topic: APLX Help : Help on APL language : System Methods : ŒUNMIX Remove mixins from object

[ Previous | Next | Contents | Index ]